In [1]: import random                                                                                                                       

In [19]: def grnd(e, pw): 
    a = random.choices('ACTG', k=e) 
    b = [] 
    for x in a: 
        r = random.uniform(0, 1) 
        if r < 0.9**pw: 
            b.append(x) 
        elif r < 0.95**pw: 
            b.append(random.choice('ACTG')) 
        elif r < 0.975**pw: 
            b.append(x) 
            b.append(random.choice('ACTG')) 
    out = ''.join(a) + '\n' + ''.join(b) + '\n\n' 
    return out 
                                                                                                                                   

In [20]: grnd(5, 2)                                                                                                                         
Out[20]: 'CTCCG\nCTCCGG\n\n'

In [21]: def gen_all(n, e, p): 
    out = f'{n}\n' 
    for _ in range(n): 
        out += grnd(e, p) 
    return out 
                                                                                                                                   



In [24]: with open('small.in.txt', 'w') as w:  
    w.write(gen_all(1000, 100, 2)) 
                                                                                                                                   

In [25]: with open('tiny.in.txt', 'w') as w:  
    w.write(gen_all(1000, 10, 2)) 
                                                                                                                                   

In [26]: with open('judge_small.in.txt', 'w') as w:  
    w.write(gen_all(1000, 100, 2)) 
                                                                                                                                   

In [27]: with open('large.in.txt', 'w') as w:  
    w.write(gen_all(5000, 100, 2)) 
                                                                                                                                   

In [28]: with open('large.in.txt', 'w') as w:  
    w.write(gen_all(1000, 500, 2)) 
                                                                                                                                   

In [29]: with open('judge_large.in.txt', 'w') as w:  
    w.write(gen_all(200, 500, 2))