In [1]: import matplotlib as mpl 
   ...: import matplotlib.pyplot as plt 
   ...: import networkx as nx 


In [77]: def comp(n): 
    ...:     return f'c\n{n}\n' 

In [83]: def gc(n): 
    ...:     out = f'a\n{n}\n\n' 
    ...:     for i in range(1,n): 
    ...:         out += comp(i) + '\n' 
    ...:     return out

In [86]: p = '/home/karel/tools/eclipse_workspace/directedGraph/test/files/'

In [90]: with open(p + 'complete.in.txt', 'w') as of: 
    ...:     of.write(gc(100))

In [97]: def gasm(n): 
    ...:     m = [[0 for _ in range(n)] for _ in range(n)] 
    ...:     for _ in range(randint(1, n*n // 4)): 
    ...:         i = randint(0,n-1) 
    ...:         j = randint(0,n-1) 
    ...:         m[i][j] = 1 
    ...:         m[j][i] = 0 
    ...:     return m

In [119]: def en(m): 
     ...:     n = len(m) 
     ...:     e = sum(map(lambda x: sum(x), m)) 
     ...:     if e < n*n // 4: 
     ...:         out = f'l\n{n}\n{e}\n' 
     ...:         for i in range(n): 
     ...:             for j in range(n): 
     ...:                 if m[i][j] == 1: 
     ...:                     out += f'{i} {j}\n' 
     ...:     else:         
     ...:         out = f'm\n{n}\n'  
     ...:         for i in range(n):  
     ...:             for j in range(n): 
     ...:                 out += f'{int(m[i][j])} ' 
     ...:             out += '\n' 
     ...:     return out

In [123]: with open(p + 'asymetric_small.in.txt', 'w') as of: 
     ...:     n = 100 
     ...:     of.write(f'a\n{n}\n\n') 
     ...:     for _ in range(n): 
     ...:         of.write(en(gasm(10))) 
     ...:                                                                                                                          

In [124]: with open(p + 'asymetric_tiny.in.txt', 'w') as of: 
     ...:     n = 100 
     ...:     of.write(f'a\n{n}\n\n') 
     ...:     for _ in range(n): 
     ...:         of.write(en(gasm(5))) 
     ...:                                                                                                                          

In [125]: with open(p + 'asymetric_normal.in.txt', 'w') as of: 
     ...:     n = 100 
     ...:     of.write(f'a\n{n}\n\n') 
     ...:     for _ in range(n): 
     ...:         of.write(en(gasm(35))) 
     ...:                                                                                                                          

In [126]: with open(p + 'asymetric_large.in.txt', 'w') as of: 
     ...:     n = 100 
     ...:     of.write(f'a\n{n}\n\n') 
     ...:     for _ in range(n): 
     ...:         of.write(en(gasm(400))) 

In [133]: def en(m): 
     ...:     n = len(m) 
     ...:     e = sum(map(lambda x: sum(x), m)) 
     ...:     if e < n*n // 4: 
     ...:         out = f'l\n{n}\n{int(e)}\n' 
     ...:         for i in range(n): 
     ...:             for j in range(n): 
     ...:                 if m[i][j] == 1: 
     ...:                     out += f'{i} {j}\n' 
     ...:     else:         
     ...:         out = f'm\n{n}\n'  
     ...:         for i in range(n):  
     ...:             for j in range(n): 
     ...:                 out += f'{int(m[i][j])} ' 
     ...:             out += '\n' 
     ...:     return out 

In [135]: with open(p + 'tree_tiny.in.txt', 'w') as of: 
     ...:     n = 100 
     ...:     of.write(f'a\n{n}\n\n') 
     ...:     for _ in range(n): 
     ...:         of.write(en(nx.to_numpy_matrix(nx.gnr_graph(5, 0.5)).tolist())) 
     ...:                                                                                                                          

In [136]: with open(p + 'tree_small.in.txt', 'w') as of: 
     ...:     n = 100 
     ...:     of.write(f'a\n{n}\n\n') 
     ...:     for _ in range(n): 
     ...:         of.write(en(nx.to_numpy_matrix(nx.gnr_graph(15, 0.5)).tolist())) 
     ...:                                                                                                                          

In [137]: with open(p + 'tree_normal.in.txt', 'w') as of: 
     ...:     n = 100 
     ...:     of.write(f'a\n{n}\n\n') 
     ...:     for _ in range(n): 
     ...:         of.write(en(nx.to_numpy_matrix(nx.gnr_graph(50, 0.5)).tolist())) 
     ...:                                                                                                                          

In [138]: with open(p + 'tree_large.in.txt', 'w') as of: 
     ...:     n = 100 
     ...:     of.write(f'a\n{n}\n\n') 
     ...:     for _ in range(n): 
     ...:         of.write(en(nx.to_numpy_matrix(nx.gnr_graph(1000, 0.5)).tolist())) 

In [149]: def make_transitive(m): 
     ...:     for u in range(len(m)): 
     ...:         for v in range(len(m)): 
     ...:             for w in range(len(m)): 
     ...:                 if m[u][v] and m[v][w]: 
     ...:                     m[u][w] = 1 
     ...:     return m 

In [153]: with open(p + 'dag_tr_tiny.in.txt', 'w') as of: 
     ...:     n = 100 
     ...:     of.write(f'a\n{n}\n\n') 
     ...:     for _ in range(n): 
     ...:         of.write(en(make_transitive(nx.to_numpy_matrix(nx.gnr_graph(5, 0.5)).tolist()))) 
     ...:                                                                                                                          

In [154]: with open(p + 'dag_tr_small.in.txt', 'w') as of: 
     ...:     n = 100 
     ...:     of.write(f'a\n{n}\n\n') 
     ...:     for _ in range(n): 
     ...:         of.write(en(make_transitive(nx.to_numpy_matrix(nx.gnr_graph(15, 0.5)).tolist()))) 
     ...:                                                                                                                          

In [155]: with open(p + 'dag_tr_normal.in.txt', 'w') as of: 
     ...:     n = 100 
     ...:     of.write(f'a\n{n}\n\n') 
     ...:     for _ in range(n): 
     ...:         of.write(en(make_transitive(nx.to_numpy_matrix(nx.gnr_graph(50, 0.5)).tolist()))) 
     ...:                                                                                                                          

In [156]: with open(p + 'dag_tr_large.in.txt', 'w') as of: 
     ...:     n = 100 
     ...:     of.write(f'a\n{n}\n\n') 
     ...:     for _ in range(n): 
     ...:         of.write(en(make_transitive(nx.to_numpy_matrix(nx.gnr_graph(1000, 0.5)).tolist()))) 

